import I18nBehavior from "../../../../i18n/behavior";
// module/chats/components/message-report/message-report.ts
Component({
  behaviors: [I18nBehavior],
  properties: {
    payload: { type: Object, value: { title: '', url: '' } }
  },
  data: {
    i18n: {
      report: { title: '报告' },
    }
  },
  methods: {
    handle() {
      wx.navigateTo({ url: this.data.payload.url })
    }
  }
})